%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
function chosenoption = ...
    DrawMenu(menuname,availoptions,clearflag,default,multipleflag)

if nargin < 3 | isempty(clearflag) | clearflag
  clc
end

if nargin < 4 
  default = length(availoptions);
end

flag = 1;
while flag
  disp('-------------------------------')
  disp(['           '  menuname])
  for k = 1:length(availoptions)
    disp([ int2str(k) '. ' availoptions{k} ])
  end
  disp('-------------------------------')
  val = int8(input(['Enter choice (' num2str(default) '): ']));
  if isempty(val)     
    chosenoption = availoptions{default};
    flag = 0;
  elseif length(val) == 1 & val <= length(availoptions) & val > 0
    chosenoption = availoptions{val};
    flag = 0;
  elseif nargin > 4 & length(val) > 1
    chosenoption = val;
    disp('You have chosen several options')
    flag = 0;
  else
    clc
    disp('-----------------------')
    disp('  Infeasible choice!  ')
    disp('-----------------------')
  end
end