%
%   Help function for the Sshaper
%
%   This file is a part of "Sshaper" developed by Anders Blomqvist
%    and Ryozo Nagamune. The theory behind the program is presented
%    in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
%   Checks if a roots of a polynomial is close to -1
%
function flag = IsBoundary(a);

if min(abs(roots(a)+1)) < 1e-3
  flag = 1;
else
  flag = 0;
end