%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
%
%   Uses the wilson algorithm to try to factorize a dissipation 
%    polynomial to determine whether it is a positive on the circle.
%
function flag = IsDissPolynorm(disspoly);

[disspoly1,flag] = wilson_fix([1 2*disspoly],1e-10);

