%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
%   Minimal realization of "sys" to a transfer function "sysmin"
%   with a fixed degree "n"
%
function sysmin = MinrealFixDegree(sys,n)

tol = 17;
tolflag = 1;
while tolflag
    tol = tol - 0.1;
    sysmin = minreal(tf(sys),10^(-tol));
    if length(pole(sysmin)) <= n
        tolflag = 0;
    end
end
