%
%   This is a help function to the nonlinear least-squares approach
%    to shaping the sensitivity function. The point is assumed to
%    be feasible.
%
function [F,Jac] = NLSsensitivitydirect(...
    alpha,Sdesired,zvec,weightvec,zvecmat)

%
%   An ugly global variable that consists of the current estimate
%
global NLSparameters

%
%   Determine numerator
%
alpha = [ 1; alpha(:)];
beta = NLSparameters.K * alpha;
NLSparameters.alpha0 = alpha;

%
%   Compute the functional value
%
F = (polyval(beta,zvec)./polyval(alpha,zvec) - Sdesired)...
    .* weightvec;
F = [ real(F); imag(F) ];

if nargout > 1
  
  %
  %   Determine the Jacobian of the error vector
  %
  zvecmata = zvecmat*alpha;
  zvecmatbaa = zvecmat*beta ./ zvecmata ./ zvecmata;
  dFdrho = ((zvecmat * NLSparameters.K )...
	    ./ zvecmata(:,ones(1,length(alpha))) ...
	    - zvecmat...
	    .* zvecmatbaa(:,ones(1,length(alpha))))...
	   .* weightvec(:,ones(1,length(alpha)));
  Jac = [ real(dFdrho); imag(dFdrho) ];
  Jac = Jac(:,2:end);
end