%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
%   This is a help funciton to ExTemplate for printing the plots.
%
function [] = PrintFunction(fig,printparameters)

left = (printparameters.papersize(1)- printparameters.width) / 2; 
bottom = (printparameters.papersize(2)- printparameters.height) / 2; 
myfiguresize = [2, 2, printparameters.width, printparameters.height]; 

figure(fig)
set(gcf,'PaperUnits','centimeters')
set(gcf,'PaperPosition',myfiguresize)
if strcmp(printparameters.type,'jpeg')
  print('-djpeg',[ printparameters.examplename, ...
		   printparameters.plotnames{fig}, ...
		   '.jpg']);
else
  print('-depsc',[ printparameters.examplename, ...
		   printparameters.plotnames{fig}, ...
		   '.eps']);
end
