%
%   This file is a help function of "Sshaper" developed by Anders
%    Blomqvist and Ryozo Nagamune. The theory behind the program is
%    presented in the technical report
%
%     "Sensitivity shaping with degree constraint by nonlinear
%     least-squares optimization"
%
%    (TRITA-MAT xxxxx, KTH, Stockholm, Sweden) and references
%    therin. Any questions can be sent to andersb@math.kth.se
%    and/or ryozo@me.berkeley.edu.
%
%   Help function to ExTemplate for giving string input at the prompt.
%
function val = StringInput(str,default,feasible)

val = input([ str ' (' default  '): ' ],'s');
	
if isempty(val) | strcmp(val,default)
  val = default;
elseif nargin > 3 & isempty(find(strcmp(feasible,val)))
  disp('Unsupported choice')
  val = default;
end
