%
%   This function calulates the new tau and zhat
%
function [ zhat, tau ] = getzhatandtau(R,p,dk)

%   Calculate an approximation of zhat
w = [];
for k = 1:size(R,1)
    val = R(1:k-1,k)'*w(1:k-1)';
    if val > 0
        w(k) = (val + 1) / R(k,k);
    else
        w(k) = (val - 1) / R(k,k);
    end
end
v = R \ w(:);
zhat = v / norm(v);

pTzhat = p'*zhat;
tau = (dk^2 - norm(p)^2) / (pTzhat + sign(pTzhat)*(pTzhat^2 + sqrt(dk^2 - norm(p)^2)));