%
%   Uses the inverse Levinson algorithm to determine 
%    whether a polynomial is Schur (stable).
%
function flag = IsSchur(a);

flag = 1;
n = length(a)-1;
a = a(:)'/a(1);
alpha(n+1,:) = a;

for l = n:-1:1
  K(l) = -alpha(l+1,l+1);
  if abs(K(l)) >= 1
     flag = 0;
     return
  end
  alpha(l,2:l) = (alpha(l+1,2:l)+K(l)*fliplr(alpha(l+1,2:l)))/(1-K(l)^2);
end